View Issue Details

IDProjectCategoryView StatusLast Update
0023576mantisbtapi restpublic2017-12-04 02:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.7.1 
Target Version2.9.0Fixed in Version2.9.0 
Summary0023576: Issues created via REST API with date custom fields fail
Description

If a custom field is optional and of type data, the issue is created but sending email notification fails causing the request to return an internal error 500.

TagsNo tags attached.

Activities

vboctor

vboctor

2017-11-02 03:33

manager   ~0058111

Note that the default value for the date custom field is {now} and the PHP error indicates that the email method is trying to parse {now} as date and is failing.

vboctor

vboctor

2017-11-05 14:02

manager   ~0058138

PR: https://github.com/mantisbt/mantisbt/pull/1228

Related Changesets

MantisBT: master 23eb41a7

2017-11-05 13:55:24

vboctor

Details Diff
Fix email error when reporting issues with date field

If an issue is reported with custom data field defaulted to
`{now}`, the email notification fails.

Fixes 0023576
mod - core/cfdefs/cfdef_standard.php Diff File

MantisBT: master-2.8 2a407b91

2017-11-05 13:55:24

vboctor

Details Diff
Fix email error when reporting issues with date field

If an issue is reported with custom data field defaulted to
`{now}`, the email notification fails.

Fixes 0023576
mod - core/cfdefs/cfdef_standard.php Diff File

Issue History

Date Modified Username Field Change
2017-11-02 03:28 vboctor New Issue
2017-11-02 03:28 vboctor Status new => assigned
2017-11-02 03:28 vboctor Assigned To => vboctor
2017-11-02 03:33 vboctor Note Added: 0058111
2017-11-05 14:02 vboctor Note Added: 0058138
2017-11-09 22:53 vboctor Changeset attached => MantisBT master 23eb41a7
2017-11-09 22:53 vboctor Status assigned => resolved
2017-11-09 22:53 vboctor Resolution open => fixed
2017-11-09 22:53 vboctor Fixed in Version => 2.9.0
2017-11-09 22:57 vboctor Target Version => 2.9.0
2017-12-04 01:33 vboctor Changeset attached => MantisBT master-2.8 2a407b91
2017-12-04 02:17 vboctor Status resolved => closed